## org.bn.compiler.parser.model
Class ConstraintElements

    java.lang.Object
      org.bn.compiler.parser.model.ConstraintElements

    public class ConstraintElements

extends java.lang.Object

Field Summary
`AsnConstraint` `constraint`
`ElementSetSpec` `elespec`
`boolean` `isAlphabetConstraint`
`boolean` `isElementSetSpec`
`boolean` `isIncludeType`
`boolean` `isLEndLess`
`boolean` `isMaxKw`
`boolean` `isMinKw`
`boolean` `isPatternValue`
`boolean` `isSizeConstraint`
`boolean` `isTypeConstraint`
`boolean` `isUEndLess`
`boolean` `isValue`
`boolean` `isValueRange`
`boolean` `isWithComponent`
`boolean` `isWithComponents`
`AsnValue` `lEndValue`
`java.lang.Object` `type`
`java.util.ArrayList` `typeConstraintList`
`AsnValue` `uEndValue`
`AsnValue` `value`

Constructor Summary
`ConstraintElements()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraint

    public AsnConstraint constraint

### elespec

    public ElementSetSpec elespec

### isAlphabetConstraint

    public boolean isAlphabetConstraint

### isElementSetSpec

    public boolean isElementSetSpec

### isIncludeType

    public boolean isIncludeType

### isLEndLess

    public boolean isLEndLess

### isMaxKw

    public boolean isMaxKw

### isMinKw

    public boolean isMinKw

### isPatternValue

    public boolean isPatternValue

### isSizeConstraint

    public boolean isSizeConstraint

### isTypeConstraint

    public boolean isTypeConstraint

### isUEndLess

    public boolean isUEndLess

### isValue

    public boolean isValue

### isValueRange

    public boolean isValueRange

### isWithComponent

    public boolean isWithComponent

### isWithComponents

    public boolean isWithComponents

### lEndValue

    public AsnValue lEndValue

### uEndValue

    public AsnValue uEndValue

### type

    public java.lang.Object type

### typeConstraintList

    public java.util.ArrayList typeConstraintList

### value

    public AsnValue value

Constructor Detail

### ConstraintElements

    public ConstraintElements()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`